<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
</head>
<body>
	<script language="javascript" type="text/javascript">
		var nums = [];
		var result1 = 0;
		var result2 = 0;
		var result3 = 0;

		for(var i = 0; i < 10; i++){
			nums[i] = parseInt(prompt("Introduce el número " + (i + 1)));
		}

		console.log(nums);

		result1 = pares(nums);
		result2 = max(nums);
		result3 = min(nums);

		document.write("Se han encontrado " + result1 + " números pares introducidos. <br>");
		document.write("El número mayor introducido es: " + result2 + "<br>");
		document.write("El número menor introducido es: " + result3);

		function pares(arg1){
			var pares = 0;

			for(var j = 0; j < arg1.length; j++){
				if(arg1[j] % 2 == 0){
					pares++;
				}
			}

			console.log(pares);

			return pares;
		}

		function max(arg1){
			var max = 0;

			max = arg1[0];
			for(var k = 1; k < arg1.length; k++){
				if(arg1[k] > max){
					max = arg1[k];
				}
			}

			console.log(max);

			return max;
		}

		function min(arg1){
			var min = 0;

			min = arg1[0];
			for(var l = 1; l < arg1.length; l++){
				if(arg1[l] < min){
					min = arg1[l];
				}
			}

			console.log(min);

			return min;
		}
	</script>
</body>
</html>